% BPM model from the Nottingham Summer-school slides

function dF = BPMmodel(t, X, params)
  a = params(1);
  b = params(2);
  %k = params(3);
  k = 1;
  
  dX1 = a./(1 + X(3)) - b.*X(1);
  dX2 = b.*(X(1) - X(2));
  dX3 = b.*X(2) - c(t).*X(3)./(1 + k.*X(3));
  %dX3 = b.*X(2) - 15*X(3)./(1 + k.*X(3));
  
  dF = [dX1; dX2; dX3];
  
  
  
function y = c(t)
  if t < 0
    y = 5;
  elseif t <= 50
    y = 5 + 0.2.*t;
  else
    y = 15;
  end